Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.core.statistic
Class AbstractProblemStatistic.AbstractProblemStatisticScvLine

    java.lang.Object
      org.drools.planner.benchmark.core.statistic.AbstractProblemStatistic.AbstractProblemStatisticScvLine

All Implemented Interfaces:
  Comparable<AbstractProblemStatistic.AbstractProblemStatisticScvLine>

Direct Known Subclasses:
  BestScoreStatistic.BestScoreScvLine, CalculateCountStatistic.CalculateCountScvLine, MemoryUseStatistic.MemoryUseScvLine

Enclosing class:
  AbstractProblemStatistic

    protected abstract static class AbstractProblemStatistic.AbstractProblemStatisticScvLine

extends Object
implements Comparable<AbstractProblemStatistic.AbstractProblemStatisticScvLine>

Field Summary
`protected long` | `timeMillisSpend`

Constructor Summary
`AbstractProblemStatistic.AbstractProblemStatisticScvLine(long timeMillisSpend)`

Method Summary
`int` | `compareTo(AbstractProblemStatistic.AbstractProblemStatisticScvLine other)`
`long` | `getTimeMillisSpend()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### timeMillisSpend

    protected long timeMillisSpend

Constructor Detail

### AbstractProblemStatistic.AbstractProblemStatisticScvLine

    public AbstractProblemStatistic.AbstractProblemStatisticScvLine(long timeMillisSpend)

Method Detail

### getTimeMillisSpend

    public long getTimeMillisSpend()

### compareTo

    public int compareTo(AbstractProblemStatistic.AbstractProblemStatisticScvLine other)

  Specified by:
    `compareTo` in interface `Comparable<AbstractProblemStatistic.AbstractProblemStatisticScvLine>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.